Subject: osmo-pcu.git branch zecke/features/emulator updated. 0.2-36-ga035cc7
From: [email-masked]
To: [email-masked]
Date: Wed, 31 Jul 2013 20:16:09 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "UNNAMED PROJECT".

The branch, zecke/features/emulator has been updated
  discards  a727a2e59e5590df01625ae5396e7c8a268c009c (commit)
       via  a035cc72e0793432e57036eb6cb0469346119bf6 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (a727a2e59e5590df01625ae5396e7c8a268c009c)
            \
             N -- N -- N (a035cc72e0793432e57036eb6cb0469346119bf6)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-pcu/commit/?id=a035cc72e0793432e57036eb6cb0469346119bf6

commit a035cc72e0793432e57036eb6cb0469346119bf6
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Wed Jul 31 21:59:29 2013 +0200

    emu: Introduce the concepts of tests/tasks and create a second test
    
    This one sends static messages that should open up a PDP context. It
    is intended to re-produce a SGSN crash. After the PDP context has been
    established one can:
    
    0.) Add IMSI 901700000003094 to the ACL
    1.) Stop/Suspend the emulation process so the NS Alive times out
    2.) Use ping IP -s 2048
    
    This will create a double free...
    
     #4  0xb7bb2646 in talloc_abort_double_free () at talloc.c:175
     #5  0xb7bbd41a in talloc_chunk_from_ptr (ptr=0x8091208) at talloc.c:190
     #6  _talloc_free (ptr=0x8091208) at talloc.c:517
     #7  talloc_free (ptr=ptr@entry=0x8091208) at talloc.c:990
     #8  0xb7bb319b in msgb_free (m=m@entry=0x8091208) at msgb.c:72
     #9  0x0804db54 in sndcp_send_ud_frag (fs=0xbfffcc6c) at gprs_sndcp.c:423
     #10 sndcp_unitdata_req (msg=msg@entry=0x808eed8, lle=0x808fbc8, nsapi=5 '\005',
        mmcontext=mmcontext@entry=0x80903e8) at gprs_sndcp.c:471

-----------------------------------------------------------------------

Summary of changes:

hooks/post-receive
-- 
UNNAMED PROJECT